
public class Class359 {

   boolean aBool4489;
   boolean aBool4490;
   Interface35 anInterface35_4491;
   Interface35 anInterface35_4492;


   void method6429() {
      if(this.anInterface35_4492 != null) {
         this.anInterface35_4492.method10();
      }

      this.aBool4490 = false;
   }

   boolean method6430() {
      return this.aBool4490 && !this.aBool4489;
   }

   void method6431() {
      if(this.anInterface35_4492 != null) {
         this.anInterface35_4492.method10();
      }

      this.aBool4490 = false;
   }

   void method6432() {
      if(this.anInterface35_4492 != null) {
         this.anInterface35_4492.method10();
      }

      this.aBool4490 = false;
   }

   Class359(boolean var1) {
      this.aBool4489 = var1;
   }
}
